### Function

# Gtk.ListBoxUpdateHeaderFunc

#### Declaration

    void
    ListBoxUpdateHeaderFunc (
      GtkListBoxRow* row,
      GtkListBoxRow* before,
      gpointer user_data
    )

#### Description [src]

Whenever `row` changes or which row is before `row` changes this is called, which lets you update the header on `row`.

You may remove or set a new one via `gtk_list_box_row_set_header()` or just change the state of the current header widget.

#### Parameters

`row` | `GtkListBoxRow`
| the row to update
| Ownership is not transferred to the callee
`before` | `GtkListBoxRow`
| the row before `row`, or `NULL` if it is first
| Can be `NULL`
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| user data